Runbook Processes

Get a list of Runbook Processes

GET /api/{spaceId}/projects/{projectId}/runbookProcesses

Also reachable at /api/projects/{projectId}/runbookProcesses, /api/spaces/{spaceIdentifier}/projects/{projectId}/runbookProcesses.

Path Parameters

  • projectId string (required)
    The ID of the project containing the Runbook Processes.
  • spaceId string (required)

Query Parameters

  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Returns the Runbook Processes

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • LastSnapshotId string
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • ProjectId string
    • RunbookId string
    • SpaceId string
    • Steps array of object
    • Version integer
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "LastSnapshotId": "string",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "ProjectId": "string",
      "RunbookId": "string",
      "SpaceId": "string",
      "Steps": [
        {}
      ],
      "Version": 0
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Get the runbook process for the given ID

GET /api/{spaceId}/projects/{projectId}/runbookProcesses/{id}

Also reachable at /api/projects/{projectId}/runbookProcesses/{id}, /api/spaces/{spaceIdentifier}/projects/{projectId}/runbookProcesses/{id}.

Path Parameters

  • id string (required)
    The ID of the runbook process to retrieve.
  • projectId string (required)
  • spaceId string (required)

Response

200 — Returns the Runbook Process

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSnapshotId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectId string
  • RunbookId string
  • SpaceId string
  • Steps array of object
    • Actions array of object
    • Condition enum
      Allowed values: Success, Failure, Always, Variable.
    • Id string
    • Name string
      Minimum length 1.
    • PackageRequirement enum
      Allowed values: LetOctopusDecide, BeforePackageAcquisition, AfterPackageAcquisition.
    • Properties object
    • Slug string
    • StartTrigger enum
      Allowed values: StartAfterPrevious, StartWithPrevious.
    • Type string
      Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
  • Version integer

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSnapshotId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectId": "string",
  "RunbookId": "string",
  "SpaceId": "string",
  "Steps": [
    {
      "Actions": [
        {}
      ],
      "Condition": "Success",
      "Id": "string",
      "Name": "string",
      "PackageRequirement": "LetOctopusDecide",
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "Slug": "string",
      "StartTrigger": "StartAfterPrevious",
      "Type": "string"
    }
  ],
  "Version": 0
}

Modify a Runbook Process

PUT /api/{spaceId}/projects/{projectId}/runbookProcesses/{id}

Also reachable at /api/projects/{projectId}/runbookProcesses/{id}, /api/spaces/{spaceIdentifier}/projects/{projectId}/runbookProcesses/{id}.

Only allowed for Runbook Processes owned by a project.

Path Parameters

  • id string (required)
    Gets or sets a unique identifier for this resource.
  • projectId string (required)
  • spaceId string (required)

Request Body

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSnapshotId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectId string
  • RunbookId string
  • SpaceId string
  • Steps array of object
    • Actions array of object
    • Condition enum
      Allowed values: Success, Failure, Always, Variable.
    • Id string
    • Name string (required)
      Minimum length 1.
    • PackageRequirement enum
      Allowed values: LetOctopusDecide, BeforePackageAcquisition, AfterPackageAcquisition.
    • Properties object
    • Slug string
    • StartTrigger enum
      Allowed values: StartAfterPrevious, StartWithPrevious.
    • Type string
      Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
  • Version integer (required)

Response

200 — Confirmation that the Runbook Process has been modified, containing the updated Process

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSnapshotId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectId string
  • RunbookId string
  • SpaceId string
  • Steps array of object
    • Actions array of object
    • Condition enum
      Allowed values: Success, Failure, Always, Variable.
    • Id string
    • Name string
      Minimum length 1.
    • PackageRequirement enum
      Allowed values: LetOctopusDecide, BeforePackageAcquisition, AfterPackageAcquisition.
    • Properties object
    • Slug string
    • StartTrigger enum
      Allowed values: StartAfterPrevious, StartWithPrevious.
    • Type string
      Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
  • Version integer

Example Request

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSnapshotId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectId": "string",
  "RunbookId": "string",
  "SpaceId": "string",
  "Steps": [
    {
      "Actions": [
        {}
      ],
      "Condition": "Success",
      "Id": "string",
      "Name": "string",
      "PackageRequirement": "LetOctopusDecide",
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "Slug": "string",
      "StartTrigger": "StartAfterPrevious",
      "Type": "string"
    }
  ],
  "Version": 0
}

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSnapshotId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectId": "string",
  "RunbookId": "string",
  "SpaceId": "string",
  "Steps": [
    {
      "Actions": [
        {}
      ],
      "Condition": "Success",
      "Id": "string",
      "Name": "string",
      "PackageRequirement": "LetOctopusDecide",
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "Slug": "string",
      "StartTrigger": "StartAfterPrevious",
      "Type": "string"
    }
  ],
  "Version": 0
}

Get all of the information necessary for creating or editing a Runbook Snapshot using this Runbook Process

GET /api/{spaceId}/projects/{projectId}/runbookProcesses/{id}/runbookSnapshotTemplate

Also reachable at /api/projects/{projectId}/runbookProcesses/{id}/runbookSnapshotTemplate, /api/spaces/{spaceIdentifier}/projects/{projectId}/runbookProcesses/{id}/runbookSnapshotTemplate.

Path Parameters

  • id string (required)
    Id of the Runbook Process.
  • projectId string (required)
    The ID of the project containing this resource. Will be inferred if not provided.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Runbook Process Snapshot Template

  • GitResources array of object
    • ActionName string
      Minimum length 1.
    • DefaultBranch string
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitHubConnectionId string
    • GitResourceSelectedLastRelease object
    • IsResolvable boolean
    • Name string
    • RepositoryUri string
      Minimum length 1.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NextNameIncrement string
  • Packages array of object
    • ActionName string
    • FeedId string
    • FeedName string
    • FixedVersion string
    • IsResolvable boolean
      Gets or sets a value indicating whether the PackageId or FeedId contain no references to other variables. Variables can be used to select different NuGet feeds or packages at deployment time, however, this means that it’s not possible to resolve which feed/package to search when creating a release.
    • NuGetFeedId string
    • NuGetFeedName string
    • NuGetPackageId string
    • PackageId string
    • PackageReferenceName string
    • ProjectName string
    • StepName string
    • VersionSelectedLastRelease string
  • RunbookId string
  • RunbookProcessId string

Example Response

JSON
{
  "GitResources": [
    {
      "ActionName": "string",
      "DefaultBranch": "string",
      "FilePathFilters": [
        "string"
      ],
      "GitCredentialId": "string",
      "GitHubConnectionId": "string",
      "GitResourceSelectedLastRelease": {
        "GitCommit": "string",
        "GitRef": "string"
      },
      "IsResolvable": true,
      "Name": "string",
      "RepositoryUri": "string"
    }
  ],
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NextNameIncrement": "string",
  "Packages": [
    {
      "ActionName": "string",
      "FeedId": "string",
      "FeedName": "string",
      "FixedVersion": "string",
      "IsResolvable": true,
      "NuGetFeedId": "string",
      "NuGetFeedName": "string",
      "NuGetPackageId": "string",
      "PackageId": "string",
      "PackageReferenceName": "string",
      "ProjectName": "string",
      "StepName": "string",
      "VersionSelectedLastRelease": "string"
    }
  ],
  "RunbookId": "string",
  "RunbookProcessId": "string"
}

Get the runbook process for the given ID

GET /api/{spaceId}/projects/{projectId}/{gitRef}/runbookProcesses/{id}

Also reachable at /api/projects/{projectId}/{gitRef}/runbookProcesses/{id}, /api/spaces/{spaceIdentifier}/projects/{projectId}/{gitRef}/runbookProcesses/{id}.

Path Parameters

  • gitRef string (required)
    The Git ref to read the runbook process from.
  • id string (required)
    The ID of the runbook process to retrieve.
  • projectId string (required)
    The ID of the project the runbook process belongs to.
  • spaceId string (required)

Response

200 — Returns the Runbook Process

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSnapshotId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectId string
  • RunbookId string
  • SpaceId string
  • Steps array of object
    • Actions array of object
    • Condition enum
      Allowed values: Success, Failure, Always, Variable.
    • Id string
    • Name string
      Minimum length 1.
    • PackageRequirement enum
      Allowed values: LetOctopusDecide, BeforePackageAcquisition, AfterPackageAcquisition.
    • Properties object
    • Slug string
    • StartTrigger enum
      Allowed values: StartAfterPrevious, StartWithPrevious.
    • Type string
      Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
  • Version integer

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSnapshotId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectId": "string",
  "RunbookId": "string",
  "SpaceId": "string",
  "Steps": [
    {
      "Actions": [
        {}
      ],
      "Condition": "Success",
      "Id": "string",
      "Name": "string",
      "PackageRequirement": "LetOctopusDecide",
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "Slug": "string",
      "StartTrigger": "StartAfterPrevious",
      "Type": "string"
    }
  ],
  "Version": 0
}

Modify a Runbook Process

PUT /api/{spaceId}/projects/{projectId}/{gitRef}/runbookProcesses/{id}

Also reachable at /api/projects/{projectId}/{gitRef}/runbookProcesses/{id}, /api/spaces/{spaceIdentifier}/projects/{projectId}/{gitRef}/runbookProcesses/{id}.

Only allowed for Runbook Processes owned by a project.

Path Parameters

  • gitRef string (required)
    The GitRef containing the resource(s).
  • id string (required)
    Gets or sets a unique identifier for this resource.
  • projectId string (required)
  • spaceId string (required)

Request Body

  • ChangeDescription string
    The commit message for updating the Git repository.
  • GitRef string (required)
    The GitRef containing the resource(s).
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSnapshotId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectId string
  • RunbookId string
  • SpaceId string
  • Steps array of object
    • Actions array of object
    • Condition enum
      Allowed values: Success, Failure, Always, Variable.
    • Id string
    • Name string (required)
      Minimum length 1.
    • PackageRequirement enum
      Allowed values: LetOctopusDecide, BeforePackageAcquisition, AfterPackageAcquisition.
    • Properties object
    • Slug string
    • StartTrigger enum
      Allowed values: StartAfterPrevious, StartWithPrevious.
    • Type string
      Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
  • Version integer (required)

Response

200 — Confirmation that the Runbook Process has been modified, containing the updated Process

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSnapshotId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectId string
  • RunbookId string
  • SpaceId string
  • Steps array of object
    • Actions array of object
    • Condition enum
      Allowed values: Success, Failure, Always, Variable.
    • Id string
    • Name string
      Minimum length 1.
    • PackageRequirement enum
      Allowed values: LetOctopusDecide, BeforePackageAcquisition, AfterPackageAcquisition.
    • Properties object
    • Slug string
    • StartTrigger enum
      Allowed values: StartAfterPrevious, StartWithPrevious.
    • Type string
      Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
  • Version integer

Example Request

JSON
{
  "ChangeDescription": "string",
  "GitRef": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSnapshotId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectId": "string",
  "RunbookId": "string",
  "SpaceId": "string",
  "Steps": [
    {
      "Actions": [
        {}
      ],
      "Condition": "Success",
      "Id": "string",
      "Name": "string",
      "PackageRequirement": "LetOctopusDecide",
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "Slug": "string",
      "StartTrigger": "StartAfterPrevious",
      "Type": "string"
    }
  ],
  "Version": 0
}

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSnapshotId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectId": "string",
  "RunbookId": "string",
  "SpaceId": "string",
  "Steps": [
    {
      "Actions": [
        {}
      ],
      "Condition": "Success",
      "Id": "string",
      "Name": "string",
      "PackageRequirement": "LetOctopusDecide",
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "Slug": "string",
      "StartTrigger": "StartAfterPrevious",
      "Type": "string"
    }
  ],
  "Version": 0
}

Get a list of Runbook Processes

GET /api/{spaceId}/runbookProcesses

Also reachable at /api/runbookProcesses, /api/spaces/{spaceIdentifier}/runbookProcesses.

Path Parameters

  • spaceId string (required)

Query Parameters

  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Returns the Runbook Processes

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • LastSnapshotId string
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • ProjectId string
    • RunbookId string
    • SpaceId string
    • Steps array of object
    • Version integer
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "LastSnapshotId": "string",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "ProjectId": "string",
      "RunbookId": "string",
      "SpaceId": "string",
      "Steps": [
        {}
      ],
      "Version": 0
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Get the runbook process for the given ID

GET /api/{spaceId}/runbookProcesses/{id}

Also reachable at /api/runbookProcesses/{id}, /api/spaces/{spaceIdentifier}/runbookProcesses/{id}.

Path Parameters

  • id string (required)
    The ID of the runbook process to retrieve.
  • spaceId string (required)

Response

200 — Returns the Runbook Process

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSnapshotId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectId string
  • RunbookId string
  • SpaceId string
  • Steps array of object
    • Actions array of object
    • Condition enum
      Allowed values: Success, Failure, Always, Variable.
    • Id string
    • Name string
      Minimum length 1.
    • PackageRequirement enum
      Allowed values: LetOctopusDecide, BeforePackageAcquisition, AfterPackageAcquisition.
    • Properties object
    • Slug string
    • StartTrigger enum
      Allowed values: StartAfterPrevious, StartWithPrevious.
    • Type string
      Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
  • Version integer

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSnapshotId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectId": "string",
  "RunbookId": "string",
  "SpaceId": "string",
  "Steps": [
    {
      "Actions": [
        {}
      ],
      "Condition": "Success",
      "Id": "string",
      "Name": "string",
      "PackageRequirement": "LetOctopusDecide",
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "Slug": "string",
      "StartTrigger": "StartAfterPrevious",
      "Type": "string"
    }
  ],
  "Version": 0
}

Modify a Runbook Process

PUT /api/{spaceId}/runbookProcesses/{id}

Also reachable at /api/runbookProcesses/{id}, /api/spaces/{spaceIdentifier}/runbookProcesses/{id}.

Only allowed for Runbook Processes owned by a project.

Path Parameters

  • id string (required)
    Gets or sets a unique identifier for this resource.
  • spaceId string (required)

Request Body

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSnapshotId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectId string
  • RunbookId string
  • SpaceId string
  • Steps array of object
    • Actions array of object
    • Condition enum
      Allowed values: Success, Failure, Always, Variable.
    • Id string
    • Name string (required)
      Minimum length 1.
    • PackageRequirement enum
      Allowed values: LetOctopusDecide, BeforePackageAcquisition, AfterPackageAcquisition.
    • Properties object
    • Slug string
    • StartTrigger enum
      Allowed values: StartAfterPrevious, StartWithPrevious.
    • Type string
      Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
  • Version integer (required)

Response

200 — Confirmation that the Runbook Process has been modified, containing the updated Process

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastSnapshotId string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • ProjectId string
  • RunbookId string
  • SpaceId string
  • Steps array of object
    • Actions array of object
    • Condition enum
      Allowed values: Success, Failure, Always, Variable.
    • Id string
    • Name string
      Minimum length 1.
    • PackageRequirement enum
      Allowed values: LetOctopusDecide, BeforePackageAcquisition, AfterPackageAcquisition.
    • Properties object
    • Slug string
    • StartTrigger enum
      Allowed values: StartAfterPrevious, StartWithPrevious.
    • Type string
      Either “Step” or “ProcessTemplateUsage”. Defaults to “Step” if no type is provided.
  • Version integer

Example Request

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSnapshotId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectId": "string",
  "RunbookId": "string",
  "SpaceId": "string",
  "Steps": [
    {
      "Actions": [
        {}
      ],
      "Condition": "Success",
      "Id": "string",
      "Name": "string",
      "PackageRequirement": "LetOctopusDecide",
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "Slug": "string",
      "StartTrigger": "StartAfterPrevious",
      "Type": "string"
    }
  ],
  "Version": 0
}

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastSnapshotId": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "ProjectId": "string",
  "RunbookId": "string",
  "SpaceId": "string",
  "Steps": [
    {
      "Actions": [
        {}
      ],
      "Condition": "Success",
      "Id": "string",
      "Name": "string",
      "PackageRequirement": "LetOctopusDecide",
      "Properties": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "Slug": "string",
      "StartTrigger": "StartAfterPrevious",
      "Type": "string"
    }
  ],
  "Version": 0
}

Get all of the information necessary for creating or editing a Runbook Snapshot using this Runbook Process

GET /api/{spaceId}/runbookProcesses/{id}/runbookSnapshotTemplate

Also reachable at /api/runbookProcesses/{id}/runbookSnapshotTemplate, /api/spaces/{spaceIdentifier}/runbookProcesses/{id}/runbookSnapshotTemplate.

Path Parameters

  • id string (required)
    Id of the Runbook Process.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • projectId string
    The ID of the project containing this resource. Will be inferred if not provided.

Response

200 — The requested Runbook Process Snapshot Template

  • GitResources array of object
    • ActionName string
      Minimum length 1.
    • DefaultBranch string
      Minimum length 1.
    • FilePathFilters array of string
    • GitCredentialId string
    • GitHubConnectionId string
    • GitResourceSelectedLastRelease object
    • IsResolvable boolean
    • Name string
    • RepositoryUri string
      Minimum length 1.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NextNameIncrement string
  • Packages array of object
    • ActionName string
    • FeedId string
    • FeedName string
    • FixedVersion string
    • IsResolvable boolean
      Gets or sets a value indicating whether the PackageId or FeedId contain no references to other variables. Variables can be used to select different NuGet feeds or packages at deployment time, however, this means that it’s not possible to resolve which feed/package to search when creating a release.
    • NuGetFeedId string
    • NuGetFeedName string
    • NuGetPackageId string
    • PackageId string
    • PackageReferenceName string
    • ProjectName string
    • StepName string
    • VersionSelectedLastRelease string
  • RunbookId string
  • RunbookProcessId string

Example Response

JSON
{
  "GitResources": [
    {
      "ActionName": "string",
      "DefaultBranch": "string",
      "FilePathFilters": [
        "string"
      ],
      "GitCredentialId": "string",
      "GitHubConnectionId": "string",
      "GitResourceSelectedLastRelease": {
        "GitCommit": "string",
        "GitRef": "string"
      },
      "IsResolvable": true,
      "Name": "string",
      "RepositoryUri": "string"
    }
  ],
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NextNameIncrement": "string",
  "Packages": [
    {
      "ActionName": "string",
      "FeedId": "string",
      "FeedName": "string",
      "FixedVersion": "string",
      "IsResolvable": true,
      "NuGetFeedId": "string",
      "NuGetFeedName": "string",
      "NuGetPackageId": "string",
      "PackageId": "string",
      "PackageReferenceName": "string",
      "ProjectName": "string",
      "StepName": "string",
      "VersionSelectedLastRelease": "string"
    }
  ],
  "RunbookId": "string",
  "RunbookProcessId": "string"
}